/***
@author	8boomgaa & 8njemz
@date   2010/02/26 09:42
@descr  This is a whitelist of predicates that are save to be sent to clients
*/
:-dynamic(wl/1).

%server?
:- assert(wl('nick_chosen')).
:- assert(wl('chat')).
:- assert(wl('myID')).
:- assert(wl('player')).
:- assert(wl('disconnect_request')).
:- assert(wl('kicked')).

% chat
:- assert(wl('append_to_history')).
:- assert(wl('append_status_to_history')).

% player state
:- assert(wl('set_player_color')).
:- assert(wl('set_player_name')).
:- assert(wl('set_this_player')).
:- assert(wl('set_current_player')).

% player movement
:- assert(wl('get_player_move')).
:- assert(wl('move')).
:- assert(wl('move_player')).

% player qi and taomarkers
:- assert(wl('set_taomarker_and_qi')).
:- assert(wl('choose_tao_marker')).
:- assert(wl('chooseOneMarker')).

% ghosts 
:- assert(wl('preview_ghost')).
:- assert(wl('placeGhost')).
:- assert(wl('get_ghost_placement')).
:- assert(wl('remove_ghost')).


:- assert(wl('village')).
:- assert(wl('ghostSelect')).
:- assert(wl('choose_markers')).
:- assert(wl('chooseMarkers')).
% haunting
:- assert(wl('haunt')).
:- assert(wl('haunt_village')).
:- assert(wl('unhaunt_village')).
:- assert(wl('remove_haunter')).


:- assert(wl('reset_haunter')). % not implemented



% buddhas
:- assert(wl('buddha_to_player')).
:- assert(wl('place_buddha')).
:- assert(wl('get_buddha_placement')).
:- assert(wl('placeBuddha')).

% interaction
:- assert(wl('nextPhase')).
:- assert(wl('doNext')).
:- assert(wl('do_next')).
:- assert(wl('return_do_next')).
:- assert(wl('clear_dice')).



% not implemented (?)

:- assert(wl('set_village_fields')).
:- assert(wl('markersChosen')).
:- assert(wl('update_prayer')).
:- assert(wl('show_curse_die')).
:- assert(wl('color_dice')).
:- assert(wl('yy_change')).
:- assert(wl('setYY')).
:- assert(wl('win')).
:- assert(wl('gameover')).
:- assert(wl('undefeatable')).
:- assert(wl('chooseTaoist')).
:- assert(wl('choose_player')).
:- assert(wl('death')).
:- assert(wl('alive')).
:- assert(wl('chooseOneMarker')).
:- assert(wl('choose_tao_marker')).
:- assert(wl('noGhost')).
:- assert(wl('set_tao_onto_prayer')).
:- assert(wl('delete_tao_from_prayer')).
:- assert(wl('select_villagefield')).
:- assert(wl('select_ghost_village')).

:-assert(wl('no_highlight')).
:-assert(wl('hide_preview_ghost')).
